
//设备状态1:制水2:缺水3:待机4:检修5:冲洗
var deStatusImage={
		'关机':'home_icon_state_turn_off.png',
		'3':'home_icon_state_standby.png',
		'5':'home_icon_state_clean.png',
		'4':'home_icon_state_overhaul.png',
		'2':'home_icon_state_lack.png',
		'水满':'home_icon_state_full.png',
		'1':'home_icon_state_water.png'
	};

var deStatusId={
		'关机':'guanji',
		'3':'daiji',
		'5':'congxi',
		'4':'jianxiu',
		'2':'queshui',
		'水满':'shuiman',
		'01':'zhishui'
	};
	
var deviceID = localStorage["deviceID"];
var deviceNo = localStorage["deviceNo"];
var phone = localStorage["phone"];

$(function(){
	localStorage["deviceID"] = '0109030f00000000';
	// localStorage["deviceNo"] = '0109030f00000000';
	// localStorage["phone"] = '13160690507';
	// localStorage["devpwd"] = '111111';
	
	if (localStorage["deviceID"]){//html5本地存储
	  	
	  	getDeviceStatus();
	  	
	  	chackUser();
	}else{
		location.href="/applogin2";
	}
	
});

function getDeviceStatus(){
	
	$.get("/device/status?deviceID="+deviceID,function(data){
		console.log(data);
		console.log(data);
    	setDeviceStatus(data);

    	//drawProcess('',10,50);
  	});
	
	setTimeout("getDeviceStatus()",5000);
}

function setDeviceStatus(data){
	if(data.resultCode=="0"){
		$('.hand-animate').removeClass('hand-animate');
		deStatusId[data.dec_Status||'关机'];
		$('#'+deStatusId[data.dec_Status||'关机']).addClass('hand-animate');
	}
}

function chackUser(){
	$.get("/getuserlist?deviceNo="+deviceNo,function(data){
		var bool = 1;
		for (var i=0; i < data.length; i++) {
			
			if(data[i].phone==phone){
				bool = 0;
		  	}
		};
		if(bool==1){
			localStorage.removeItem("deviceID");
			localStorage.removeItem("deviceNo");
			localStorage.removeItem("phone");
			localStorage.removeItem("devpwd");
			
			location.href = '/applogin2';
		}
  	});
  	setTimeout("chackUser()",6000);
}

function sendOrders(deviceNo,con_EN,con_EXT,callback){
	$.post("/sendOrders",{'deviceID':deviceID,'deviceNo':deviceNo,'con_EN':con_EN,'con_EXT':con_EXT},function(data){
		console.log(data);
    	callback(data);
  	});
}


function setPower(){
	console.log('powerdata');
	var power =  $('#power');
	var powerSrc =  $('#power').attr('src');
	var powerdata = power.attr('data-power-type');
	
	sendOrders('','1',powerdata=='1'?'00':'01',function(data){
		if(data.resultCode!='0'){
			alert(data.status);
			return;
		}
		power.attr('src',powerSrc.replace(powerdata=='1'?/power_click/:/power/, powerdata=='1'?"power":"power_click"));
		power.attr('data-power-type',powerdata=='1'?'0':'1');
	});
}


function setStandby(){
	var standby =  $('#standby');
	var standbySrc =  $('#standby').attr('src');
	var standbydata = standby.attr('data-standby-type');
	
	sendOrders('','2',standbydata=='1'?'00':'01',function(data){
		if(data.resultCode!='0'){
			alert(data.status);
			return;
		}
		standby.attr('src',standbySrc.replace(standbydata=='1'?/standby_click/:/standby/, standbydata=='1'?"standby":"standby_click"));
		standby.attr('data-standby-type',standbydata=='1'?'0':'1');
	});
	
}

function setClean(){
	var clean =  $('#clean');
	var cleanSrc =  clean.attr('src');
	var cleandata = clean.attr('data-clean-type');
	
	sendOrders('','3',cleandata=='1'?'00':'01',function(data){
		if(data.resultCode!='0'){
			alert(data.status);
			return;
		}
		clean.attr('src',cleanSrc.replace(cleandata=='1'?/clean_click/:/clean/, cleandata=='1'?"clean":"clean_click"));
		clean.attr('data-clean-type',cleandata=='1'?'0':'1');
	});
	
	
}


function drawProcess(id,useNum,total) {
    // 选出页面上所有class为process的canvas元素,然后迭代每一个元素画图(这里用Jquery的选择器选的)
	$('#'+id).each(function() {
        // 第一部先拿到canvas标签中间的文字,就是那个61%(这里的stringTrim方法是我自己的方法,去前后空格的方法很多的,这里就不贴出来了)
		var useText = "使用:" + useNum;
		var surplusText = "剩余:"+(total - useNum);
		
		var color = "";
		var bfb =  useNum / total * 100 ;
		
		if(isNaN(bfb)){color = "#ddd";}
		else if(bfb>90){color = '#FD0000';}
		else if(bfb>60){color = "#FD8700";}
		else if(bfb>30){color = "#F5E10B";}
		else{color = "#8EE456";}
		
		
                
        // 一个canvas标签   
		var canvas = this;
        // 拿到绘图上下文,目前只支持"2d"
		var context = canvas.getContext('2d');
		// 将绘图区域清空,如果是第一次在这个画布上画图,画布上没有东西,这步就不需要了
		context.clearRect(0, 0, 48, 48);
		
		// 画进度
		context.beginPath();
        // 画扇形的时候这步很重要,画笔不在圆心画出来的不是扇形
		context.moveTo(40, 40);
        // 跟上面的圆唯一的区别在这里,不画满圆,画个扇形
		context.arc(40, 40, 39.5, 0 , 2 * Math.PI , false);
		context.closePath();
		context.fillStyle = color;
		context.fill();
		
		// ***开始画一个灰色的圆
		context.beginPath();
        // 坐标移动到圆心
		context.moveTo(40, 40);
        // 画圆,圆心是24,24,半径24,从角度0开始,画到2PI结束,最后一个参数是方向顺时针还是逆时针
		context.arc(40, 40, 40, 0, 2 * Math.PI  * Number(useNum / total)||100, false);
		context.closePath();
        // 填充颜色
		context.fillStyle =  '#ddd';
		context.fill();
        // ***灰色的圆画完

		// 画内部空白
		context.beginPath();
		context.moveTo(40, 40);
		context.arc(40, 40, 35, 0, Math.PI * 2, true);
		context.closePath();
		context.fillStyle = 'rgba(255,255,255,1)';
		context.fill();
		
		// 画一条线
		context.beginPath();
		context.arc(40, 40, 36, 0, Math.PI * 2, true);
		context.closePath();
        // 与画实心圆的区别,fill是填充,stroke是画线
		context.strokeStyle = '#ddd';
		context.stroke();
		
        
	});
}