        var map;
        var melatitude;
        var melongitude;

        $(function(){
            getLocation();

            showMap();

            //pointme();
            
            pointDevice(113.36,23.1204);
            
        });

        function showMap(){
            map = new BMap.Map("container");    // 创建Map实例

            map.centerAndZoom(new BMap.Point(melongitude,melatitude), 11);  // 初始化地图,设置中心点坐标和地图级别
            map.addControl(new BMap.MapTypeControl());   //添加地图类型控件
            map.centerAndZoom("广州",11);
            //map.setCurrentCity("广州");          // 设置地图显示的城市 此项是必须设置的
            map.enableScrollWheelZoom(true);     //开启鼠标滚轮缩放


            // 添加带有定位的导航控件
              var navigationControl = new BMap.NavigationControl({
                // 靠左上角位置
                anchor: BMAP_ANCHOR_TOP_LEFT,
                // LARGE类型
                type: BMAP_NAVIGATION_CONTROL_LARGE,
                // 启用显示定位
                enableGeolocation: true
              });
              map.addControl(navigationControl);
              // 添加定位控件
              var geolocationControl = new BMap.GeolocationControl();
              geolocationControl.addEventListener("locationSuccess", function(e){
                // 定位成功事件
                var address = '';
                address += e.addressComponent.province;
                address += e.addressComponent.city;
                address += e.addressComponent.district;
                address += e.addressComponent.street;
                address += e.addressComponent.streetNumber;
                
                //alert("当前定位地址为：" + address);
              });
              geolocationControl.addEventListener("locationError",function(e){
                // 定位失败事件
                alert(e.message);
              });
              map.addControl(geolocationControl);
        }
        
        function pointDevice(longitude,latitude){
            map.clearOverlays();
            var new_point = new BMap.Point(longitude,latitude);
            var marker = new BMap.Marker(new_point);  // 创建标注
            map.addOverlay(marker);              // 将标注添加到地图中
            map.panTo(new_point);
        }


        
        function getLocation(){
          if (navigator.geolocation){
          navigator.geolocation.getCurrentPosition(showPosition);
          //navigator.geolocation.watchPosition(showPosition);
          }else{

          }
        }

        function showPosition(position){

          melatitude = position.coords.latitude;
          melongitude = position.coords.longitude;
         
          // x.innerHTML="Latitude: " + position.coords.latitude +
          // "<br />Longitude: " + position.coords.longitude;
        }


        function gpswalk(tolongitude,tolatitude){
          showMap();

          //pointme();
          var myP1 = new BMap.Point(melongitude,melatitude);    //起点
          var myP2 = new BMap.Point(tolongitude,tolatitude);    //终点

          var walking = new BMap.WalkingRoute(map, {renderOptions:{map: map, autoViewport: true}});
          walking.search(myP1, myP2);

          // var driving2 = new BMap.DrivingRoute(map, {renderOptions:{map: map, autoViewport: true}});    //驾车实例
          // driving2.search(myP1, myP2);    //显示一条公交线路

        }